Prepar3DV5 Compatibility

Post Reply
martin[flytampa]
Site Admin
Posts: 5175

Re: Prepar3DV5 Compatibility

Post by martin[flytampa] » Sat Apr 25, 2020 11:44 am

flyunited1979 wrote:
Sat Apr 25, 2020 11:34 am
When installing v2.1 of Copenhagen, I keep getting this error.

"Installer Integrity Check Has Failed"
There is a temporary issue with the file, I'm re-uploading it now and will post an note when its safe to install.

Update: Fixed, EKCH v2.1 is OK to install again.
dafyddp3d
Posts: 6

Re: Prepar3DV5 Compatibility

Post by dafyddp3d » Sat Apr 25, 2020 11:58 am

Hi Martin
I believe there may be an error in the Add-on.xml file included in the libraries update for P3Dv5. The path for the libraries scenery (I think!) should point to the directory containing the Scenery folder (e.g. "Fly Tampa\Libraries"), not to the scenery folder itself. I modified it on my system as I have my Fly Tampa airports on a separate drive, and it works OK.
Regards
Dave Nash
cristof33
Posts: 1

Re: Prepar3DV5 Compatibility

Post by cristof33 » Sat Apr 25, 2020 1:43 pm

I have the same problem !

Hi everyone

"I came across another compatibility problem in the migration to P3Dv5. When trying to take off or land or doing a low pass over SABA (TNCS) my frame rate drops to 8 or 9 FPS. I did not have this problem in v4. I tried uninstalling and reinstalling the scenery, lower my graphics settings but nothing seems to solve the problem.
The other sceneries (Sint-Maarten and St.-Barths) don't seem to be affected by this problem"

thank you

CHristophe
pauly123
Posts: 46

Re: Prepar3DV5 Compatibility

Post by pauly123 » Sat Apr 25, 2020 3:01 pm

I am having trouble installing Midway. Where di I find this file:

FlyTampa_Midway_FSX_P3D_23.exe

I downloaded the installer and ran it, but I don't see this file name.

I am doing something wrong.
Sammy H
Posts: 21

Re: Prepar3DV5 Compatibility

Post by Sammy H » Sat Apr 25, 2020 3:20 pm

han_solo2001 wrote:
Sat Apr 25, 2020 3:17 am
Sammy H wrote:
Fri Apr 24, 2020 4:10 pm
Hello FlyTampa team. I am finally getting around to beginning my FlyTampa installs. Of course I started with my most recent airport which was EKCH.

After completion of install for 2.1 this is what the FT Configurator looks like.
Config.png

Every time I try to untick one of the boxes it gives me an "unhandled exception" error.

There is also a double tick in the Windsock option although not in the picture.

Any suggestions?
Go to viewtopic.php?f=28&t=13846 and follow Emilios manual steps. Did the trick for me. Re-installing the scenery after wiping out all the folders did not work but adjusting them manually works.
Thank you for the reply. I renamed the files which was actually pretty simple by looking at the naming conventions in my v4 setup and all is working now.
martin[flytampa]
Site Admin
Posts: 5175

Re: Prepar3DV5 Compatibility

Post by martin[flytampa] » Sat Apr 25, 2020 3:23 pm

dafyddp3d wrote:
Sat Apr 25, 2020 11:58 am
Hi Martin
I believe there may be an error in the Add-on.xml file included in the libraries update for P3Dv5. The path for the libraries scenery (I think!) should point to the directory containing the Scenery folder (e.g. "Fly Tampa\Libraries"), not to the scenery folder itself. I modified it on my system as I have my Fly Tampa airports on a separate drive, and it works OK.
Regards
Dave Nash
This is what the addon.xml it should look like by default

<AddOn.Component>
<Category>Effects</Category>
<Path>Effects</Path>
</AddOn.Component>
<AddOn.Component>
<Category>Scenery</Category>
<Path>Scenery</Path>
<Name>FlyTampa-Libraries</Name>
</AddOn.Component>
<AddOn.Component>
<Category>Texture</Category>
<Path>texture</Path>
<Type>WORLD</Type>
</AddOn.Component>
martin[flytampa]
Site Admin
Posts: 5175

Re: Prepar3DV5 Compatibility

Post by martin[flytampa] » Sat Apr 25, 2020 3:25 pm

pauly123 wrote:
Sat Apr 25, 2020 3:01 pm
I am having trouble installing Midway. Where di I find this file:

FlyTampa_Midway_FSX_P3D_23.exe

I downloaded the installer and ran it, but I don't see this file name.

I am doing something wrong.
Thats the original Installer, when you ordered Midway. It should be linked in your order email or if you no longer have that email us requesting a new download.
adi
Posts: 14

Re: Prepar3DV5 Compatibility

Post by adi » Sat Apr 25, 2020 3:38 pm

Hi there, have a quick question - are these steps correct for installing EHAM for P3Dv5?

1) FlyTampa_Amsterdam_FSX_P3D_10.exe (+FlyTampa_Amsterdam_FSX_P3D.dat)
2) FlyTampa_Amsterdam_FSX_P3D_Update_11.exe
3) FlyTampa_Amsterdam_FSX_P3D_HITEX.exe
4) EHAM_P3Dv4_Patch for runway lights (????)
5) FlyTampa_Amsterdam_Update_P3Dv5.exe

Cheers!
martin[flytampa]
Site Admin
Posts: 5175

Re: Prepar3DV5 Compatibility

Post by martin[flytampa] » Sat Apr 25, 2020 3:50 pm

cristof33 wrote:
Sat Apr 25, 2020 1:43 pm
I have the same problem !

Hi everyone

"I came across another compatibility problem in the migration to P3Dv5. When trying to take off or land or doing a low pass over SABA (TNCS) my frame rate drops to 8 or 9 FPS. I did not have this problem in v4. I tried uninstalling and reinstalling the scenery, lower my graphics settings but nothing seems to solve the problem.
The other sceneries (Sint-Maarten and St.-Barths) don't seem to be affected by this problem"

thank you

CHristophe
See if replacing the attached file in FlyTampa/Saba/scenery/ fixed the fps problem.
Attachments
saba_platform.BGL
(83.35 KiB) Downloaded 39 times
martin[flytampa]
Site Admin
Posts: 5175

Re: Prepar3DV5 Compatibility

Post by martin[flytampa] » Sat Apr 25, 2020 3:57 pm

adi wrote:
Sat Apr 25, 2020 3:38 pm
Hi there, have a quick question - are these steps correct for installing EHAM for P3Dv5?

1) FlyTampa_Amsterdam_FSX_P3D_10.exe (+FlyTampa_Amsterdam_FSX_P3D.dat)
2) FlyTampa_Amsterdam_FSX_P3D_Update_11.exe
3) FlyTampa_Amsterdam_FSX_P3D_HITEX.exe
4) EHAM_P3Dv4_Patch for runway lights (????)
5) FlyTampa_Amsterdam_Update_P3Dv5.exe

Cheers!
You should get the 1.1 full installer. If you bought it here you can email us for that.

3 can be installed at any time after 1 and 2, can also be the last thing you do.

4 Doesn't need to be installed at all. None of the V5 updates on the first page require that you install the v4 updates.
adi
Posts: 14

Re: Prepar3DV5 Compatibility

Post by adi » Sat Apr 25, 2020 5:17 pm

martin[flytampa] wrote:
Sat Apr 25, 2020 3:57 pm
adi wrote:
Sat Apr 25, 2020 3:38 pm
Hi there, have a quick question - are these steps correct for installing EHAM for P3Dv5?

1) FlyTampa_Amsterdam_FSX_P3D_10.exe (+FlyTampa_Amsterdam_FSX_P3D.dat)
2) FlyTampa_Amsterdam_FSX_P3D_Update_11.exe
3) FlyTampa_Amsterdam_FSX_P3D_HITEX.exe
4) EHAM_P3Dv4_Patch for runway lights (????)
5) FlyTampa_Amsterdam_Update_P3Dv5.exe

Cheers!
You should get the 1.1 full installer. If you bought it here you can email us for that.

3 can be installed at any time after 1 and 2, can also be the last thing you do.

4 Doesn't need to be installed at all. None of the V5 updates on the first page require that you install the v4 updates.
Thank you Martin! E-mail sent :)
mole_man99
Posts: 23

Re: Prepar3DV5 Compatibility

Post by mole_man99 » Sat Apr 25, 2020 6:06 pm

Just installed EHAM and had a little fly around. As you approach the airport, a shading layer seems to appear in blocks ahead of you. Most noticeable at the lighter runway edges, which go dark as you approach.

Can you see this effect or do I need to do screenshots? Away from sim computer at the moment.
dafyddp3d
Posts: 6

Re: Prepar3DV5 Compatibility

Post by dafyddp3d » Sun Apr 26, 2020 7:04 am

martin[flytampa] wrote:
Sat Apr 25, 2020 3:23 pm


This is what the addon.xml it should look like by default

<AddOn.Component>
<Category>Effects</Category>
<Path>Effects</Path>
</AddOn.Component>
<AddOn.Component>
<Category>Scenery</Category>
<Path>Scenery</Path>
<Name>FlyTampa-Libraries</Name>
</AddOn.Component>
<AddOn.Component>
<Category>Texture</Category>
<Path>texture</Path>
<Type>WORLD</Type>
</AddOn.Component>
Hi Martin
Thanks for the reply
Yes, I've since discovered that using the (child) scenery folder or its parent will work equally well in a "add-on.xml". The original add-on.xml file in my updated libraries folder included an autogen component surrounded by the characters <!-- -->. Not sure what they were for (comment?). I removed them and included the autogen component also. Doesn't seem to have caused a problem, no errors reported!
Thanks for all the hard work on the updates, it's appreciated
Regards
martin[flytampa]
Site Admin
Posts: 5175

Re: Prepar3DV5 Compatibility

Post by martin[flytampa] » Sun Apr 26, 2020 10:48 am

dafyddp3d wrote:
Sun Apr 26, 2020 7:04 am
martin[flytampa] wrote:
Sat Apr 25, 2020 3:23 pm


This is what the addon.xml it should look like by default

<AddOn.Component>
<Category>Effects</Category>
<Path>Effects</Path>
</AddOn.Component>
<AddOn.Component>
<Category>Scenery</Category>
<Path>Scenery</Path>
<Name>FlyTampa-Libraries</Name>
</AddOn.Component>
<AddOn.Component>
<Category>Texture</Category>
<Path>texture</Path>
<Type>WORLD</Type>
</AddOn.Component>
Hi Martin
Thanks for the reply
Yes, I've since discovered that using the (child) scenery folder or its parent will work equally well in a "add-on.xml". The original add-on.xml file in my updated libraries folder included an autogen component surrounded by the characters <!-- -->. Not sure what they were for (comment?). I removed them and included the autogen component also. Doesn't seem to have caused a problem, no errors reported!
Thanks for all the hard work on the updates, it's appreciated
Regards
The Autogen section is still there, but should be commented out or deleted completely. Activating it will cause some issues that aren't immediately obvious.
Post Reply